#!/bin/bash

# Kiểm tra xem người dùng có quyền root hay không
if [[ $EUID -ne 0 ]]; then
   echo "Vui lòng chạy script với quyền root (sudo)"
   exit 1
fi

# Cài đặt Java 11 (sử dụng OpenJDK làm ví dụ)
# Thay đổi tên gói nếu bạn muốn cài đặt phiên bản khác hoặc từ nguồn khác
sudo apt update
sudo apt install openjdk-11-jdk

# Kiểm tra phiên bản Java đã cài đặt
java --version

# Nếu bạn muốn kiểm tra phiên bản Java cụ thể (ví dụ: java -jar)
java -jar --version

# Thêm Java vào PATH (nếu cần)
# Cập nhật đường dẫn nếu cần thiết
echo 'export PATH=$PATH:/usr/lib/jvm/java-11-openjdk-amd64/bin' >> ~/.bashrc
source ~/.bashrc